SystemOrganization addCategory: #'SqueakIt-Experiments-RJG'!
SystemOrganization addCategory: #'SqueakIt-Experiments-RJG-Tests'!
SystemOrganization addCategory: #SqueakIt!

TestCase subclass: #RootComponentTest
	instanceVariableNames: 'module html'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SqueakIt-Experiments-RJG-Tests'!

!RootComponentTest methodsFor: 'accessing' stamp: 'RonnieGarduno 1/29/2013 17:32'!
html
	^ html! !

!RootComponentTest methodsFor: 'accessing' stamp: 'RonnieGarduno 1/29/2013 17:32'!
html: anObject
	html := anObject! !

!RootComponentTest methodsFor: 'accessing' stamp: 'RonnieGarduno 1/29/2013 17:32'!
module
	^ module! !

!RootComponentTest methodsFor: 'accessing' stamp: 'RonnieGarduno 1/29/2013 17:32'!
module: anObject
	module := anObject! !

!RootComponentTest methodsFor: 'running' stamp: 'RonnieGarduno 1/29/2013 17:42'!
setUp 
	module := RootComponent new.
	html := WAHtmlCanvas new! !

!RootComponentTest methodsFor: 'tests' stamp: 'RonnieGarduno 1/29/2013 17:33'!
testHasTitle
	self shouldnt: [module title] raise: Error.
	self module renderContentOn: html.
"	self assert: html notNil"! !

!RootComponentTest methodsFor: 'tests' stamp: 'RonnieGarduno 1/29/2013 15:45'!
testSetTitleChanges
	module title: 'testing'.
	self assert: module title = 'testing'.
	module title: 'new'.
	self assert: (module title = 'testing') not.
	self assert: module title = 'new'! !

!RootComponentTest methodsFor: 'tests' stamp: 'RonnieGarduno 1/29/2013 15:43'!
testSetTitleSets
	module title: 'testing'.
	self assert: module title = 'testing'! !

WAComponent subclass: #RootComponent
	instanceVariableNames: 'title'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SqueakIt-Experiments-RJG'!

!RootComponent class methodsFor: 'as yet unclassified' stamp: 'RonnieGarduno 1/29/2013 17:07'!
canBeRoot 
	^true! !

!RootComponent methodsFor: 'accessing' stamp: 'RonnieGarduno 1/29/2013 17:11'!
initialize 
	super initialize.
	title := 'Hello Internet!!'! !

!RootComponent methodsFor: 'rendering' stamp: 'RonnieGarduno 1/29/2013 17:41'!
renderContentOn: html
	html heading: title.
	html text: 'This will one day be a mighty website.'.
	html break.
	html text: html class.
	html break.! !

!RootComponent methodsFor: 'accessing' stamp: 'RonnieGarduno 1/28/2013 17:38'!
title
	^ title! !

!RootComponent methodsFor: 'accessing' stamp: 'RonnieGarduno 1/28/2013 17:38'!
title: anObject
	title := anObject! !

WAComponent subclass: #SIRootComponent
	instanceVariableNames: 'popupComponent'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SqueakIt'!

SIRootComponent subclass: #SIDialogComponent
	instanceVariableNames: 'msg video'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SqueakIt'!

!SIDialogComponent methodsFor: 'initialization' stamp: 'B.C. 2/2/2013 10:41'!
initialize
	super initialize.
	msg := 'None'! !

!SIDialogComponent methodsFor: 'accessing' stamp: 'B.C. 2/1/2013 08:20'!
msg
	^ msg! !

!SIDialogComponent methodsFor: 'accessing' stamp: 'B.C. 2/1/2013 08:20'!
msg: aString
	msg := aString! !

!SIDialogComponent methodsFor: 'rendering' stamp: 'B.C. 2/2/2013 11:17'!
renderContentOn: html
	html text: msg.
	html break.
	html break.
	html submitButton
		callback: [self answer: true];
		text: 'Close'! !

!SIDialogComponent methodsFor: 'accessing' stamp: 'B.C. 2/1/2013 09:01'!
video
	^ video! !

!SIDialogComponent methodsFor: 'accessing' stamp: 'B.C. 2/1/2013 09:01'!
video: anObject
	video := anObject! !

!SIRootComponent class methodsFor: 'as yet unclassified' stamp: 'RonnieGarduno 1/31/2013 18:20'!
canBeRoot 
	^true! !

!SIRootComponent class methodsFor: 'as yet unclassified' stamp: 'Aubin 2/1/2013 18:31'!
initialize

	WAAdmin register: self asApplicationAt: 'SqueakIt'! !

!SIRootComponent methodsFor: 'as yet unclassified' stamp: 'RonnieGarduno 1/31/2013 18:38'!
initialize 
	super initialize.
	self
		popupComponent: SIPopupComponent new.! !

!SIRootComponent methodsFor: 'accessing' stamp: 'RonnieGarduno 1/31/2013 18:37'!
popupComponent
	^ popupComponent! !

!SIRootComponent methodsFor: 'accessing' stamp: 'RonnieGarduno 1/31/2013 18:37'!
popupComponent: anObject
	popupComponent := anObject! !

!SIRootComponent methodsFor: 'rendering' stamp: 'B.C. 2/2/2013 11:49'!
renderContentOn: html
	| dlg |
	dlg := SIDialogComponent new.
	
	html heading: 'Hello world!!'.
	html text: 'This will be our website.'.
	html popupAnchor
		callback: [ 
			dlg msg: 'M!!'.
			self session presenter call: dlg];
		extent: 350@350;
		with: 'Click Here!!'.! !
SIRootComponent initialize!
